Subject: [TERNLI] Re: [Int-area] BOF: Transport-Enhancing Refinements to the Network Layer Interface (TERNLI)

From: Lars Eggert <[email-masked]>
Date: Mon, 12 Jun 2006 17:17:21 +0300

(Redirecting the reply to the TERNLI list.)

On Jun 12, 2006, at 15:25, Bernard Aboba wrote:
>> This isolation, however, comes at a cost, because the traditional
>> communication abstraction maintained by these new network-layer  
>> extensions
>> hides information that transport-layer protocols should act on.
>
> The information is hidden only for the purposes of connection  
> management,
> not for parameter estimation.

What we tried to express by "isolation" is that one doesn't really  
want to implement optimizations that are MIP-, HIP-, SHIM6- or MULTI6- 
specific into each of the transport protocols, even if one could.  
(And we'd like to standardize such extensions even less.)

A better approach could be to define an extension to the interface  
between network and transport that is independent of a specific  
network-layer technology, and extend transport protocols to act on  
the generic extension.

>> Many common
>> transport mechanisms, such as congestion window estimation, RTT  
>> measurements
>> or path MTU discovery, are not agile enough to properly handle the  
>> significant
>> instantaneous changes to path characteristics that these network- 
>> layer
>> extensions introduce.
>
> I might say that "Many current transport algorithms for...", so  
> that it
> is not implied that there are no algorithms that would work.

Good point, will change this.

Thanks!

Lars
-- 
Lars Eggert                                     NEC Network Laboratories

---

From: Bernard Aboba <[email-masked]>
Date: Mon, 12 Jun 2006 05:25:24 -0700 (PDT)

> communication abstraction maintained by these new network-layer extensions

The information is hidden only for the purposes of connection management, 
not for parameter estimation. 

> Many common
> transport mechanisms, such as congestion window estimation, RTT measurements
> or path MTU discovery, are not agile enough to properly handle the significant
> instantaneous changes to path characteristics that these network-layer
> extensions introduce. 

I might say that "Many current transport algorithms for...", so that it 
is not implied that there are no algorithms that would work.

---

From: Rajeev Koodli <[email-masked]>
Date: Mon, 12 Jun 2006 11:03:12 -0700

Hi Lars,

thanks for the pointer. We are discussing a specific mobility-related 
problem: when to
change an IP address which we can discuss at the BOF (and at MobOpts 
meeting).

Thanks,

-Rajeev